Bug 1019865 - concurrent syncs lead to incorrect XML namespace in published metadata
concurrent syncs lead to incorrect XML namespace in published metadata
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: rpm-support (Show other bugs)
Master
Unspecified Unspecified
urgent Severity urgent
: ---
: 2.2.1
Assigned To: Michael Hrivnak
pulp-qe-list
: Triaged
Depends On:
Blocks: 1020039 1020381
  Show dependency treegraph
 
Reported: 2013-10-16 10:17 EDT by Michael Hrivnak
Modified: 2013-12-09 09:37 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1020039 1020381 (view as bug list)
Environment:
Last Closed: 2013-12-09 09:37:12 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Hrivnak 2013-10-16 10:17:09 EDT
Description of problem:
When doing multiple syncs at the same time, the "rpm" namespace in the published primary.xml can end up instead being called "ns0".

Version-Release number of selected component (if applicable):
2.3.0-0.21.beta

How reproducible:
very

Steps to Reproduce:
1. sync a big repo
2. sync another big repo at the same time
3. when one finishes, search for "ns0:" in the published primary.xml

Actual results:
"ns0" shows up as an XML namespace instead of "rpm".
Comment 1 Michael Hrivnak 2013-10-16 17:03:35 EDT
https://github.com/pulp/pulp_rpm/pull/356
Comment 2 Michael Hrivnak 2013-10-16 17:27:19 EDT
To verify this:

1) sync the rhel 6.4 "kickstart" and "os" repos at the same time [1]
2) verify that the string "ns0:" does not appear in either published repo's primary.xml file.


[1] http://download.devel.redhat.com/cds/prod/content/dist/rhel/server/6/6.4/x86_64/
Comment 4 Jeff Ortel 2013-11-01 14:50:38 EDT
build: 2.2.1-0.1.beta
Comment 6 Preethi Thomas 2013-12-09 09:37:12 EST
Released pulp 2.2.1

Note You need to log in before you can comment on or make changes to this bug.